umbrello: GeneralOptionPage::GeneralWidgets Struct Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GeneralOptionPage::GeneralWidgets Struct Reference

`#include <generaloptionpage.h>`

## Public Attributes
QGroupBox * | miscGB
QGroupBox * | autosaveGB
QGroupBox * | startupGB
QSpinBox * | timeISB
KComboBox * | diagramKB
KComboBox * | languageKB
QCheckBox * | undoCB
QCheckBox * | tabdiagramsCB
QCheckBox * | newcodegenCB
QCheckBox * | footerPrintingCB
QCheckBox * | uml2CB
QCheckBox * | autosaveCB
QCheckBox * | loadlastCB
QLineEdit * | autosaveSuffixT
QLabel * | autosaveSuffixL
QLabel * | startL
QLabel * | autosaveL
QLabel * | defaultLanguageL

## Member Data Documentation

## ◆ autosaveCB

QCheckBox* GeneralOptionPage::GeneralWidgets::autosaveCB

## ◆ autosaveGB

QGroupBox* GeneralOptionPage::GeneralWidgets::autosaveGB

## ◆ autosaveL

QLabel* GeneralOptionPage::GeneralWidgets::autosaveL

## ◆ autosaveSuffixL

QLabel* GeneralOptionPage::GeneralWidgets::autosaveSuffixL

## ◆ autosaveSuffixT

QLineEdit* GeneralOptionPage::GeneralWidgets::autosaveSuffixT

## ◆ defaultLanguageL

QLabel* GeneralOptionPage::GeneralWidgets::defaultLanguageL

## ◆ diagramKB

KComboBox* GeneralOptionPage::GeneralWidgets::diagramKB

## ◆ footerPrintingCB

QCheckBox* GeneralOptionPage::GeneralWidgets::footerPrintingCB

## ◆ languageKB

KComboBox* GeneralOptionPage::GeneralWidgets::languageKB

## ◆ loadlastCB

QCheckBox* GeneralOptionPage::GeneralWidgets::loadlastCB

## ◆ miscGB

QGroupBox* GeneralOptionPage::GeneralWidgets::miscGB

## ◆ newcodegenCB

QCheckBox* GeneralOptionPage::GeneralWidgets::newcodegenCB

## ◆ startL

QLabel* GeneralOptionPage::GeneralWidgets::startL

## ◆ startupGB

QGroupBox* GeneralOptionPage::GeneralWidgets::startupGB

## ◆ tabdiagramsCB

QCheckBox* GeneralOptionPage::GeneralWidgets::tabdiagramsCB

## ◆ timeISB

QSpinBox* GeneralOptionPage::GeneralWidgets::timeISB

## ◆ uml2CB

QCheckBox* GeneralOptionPage::GeneralWidgets::uml2CB

## ◆ undoCB

QCheckBox* GeneralOptionPage::GeneralWidgets::undoCB

The documentation for this struct was generated from the following file:

- umbrello/dialogs/pages/generaloptionpage.h